# Patch Account Config

This endpoint is useful for setting up the correct URLs for event notifications.
For more details, see [Notifications-Webhooks.](https://docs.easypay.pt/#tag/Notifications-Webhooks)
**Required scope:** config:update

Endpoint: PATCH /config
Version: 2.0
Security: accountId, apiKey

## Security:

  - `accountId` (unknown)
    apiKey in header AccountId

  - `apiKey` (unknown)
    apiKey in header ApiKey

## Request body:

  - `application/json` (unknown)
    Configuration object to edit an account.

## Request fields (application/json):

  - `generic` (string)
    URL for generic notification.
    Example: https://www.easypay.pt/generic

  - `authorisation` (string)
    URL for authorisation notification.
    Example: https://www.easypay.pt/authorisation

  - `transaction` (string)
    URL for transaction notification.
    Example: https://www.easypay.pt/transaction

  - `visa_fwd` (string)
    URL for redirect clients on credit card forward.
    Example: https://www.easypay.pt/visa_fwd

  - `visa_detail` (string)
    URL for credit card payment detail.
    Example: https://www.easypay.pt/visa_detail

## Request examples:

  - `Example 1` (unknown)

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `generic` (string)
    URL for generic notification.

  - `authorisation` (string)
    URL for authorisation notification.

  - `transaction` (string)
    URL for transaction notification.

  - `visa_fwd` (string)
    URL for redirect clients on credit card forward.

  - `visa_detail` (string)
    URL for credit card payment detail.

  - `account` (string)
    The UUID of the related account.
    Example: b2080452-bad1-4455-8ae7-9f5ea552a274

  - `client_id` (string)
    The id of the related client.
    Example: EASYP030002

  - `payment_methods` (array)
    The available payments for the related account.

  - `can_refund_direct_debit` (boolean)
    Whether the account is allowed to refund direct debit payments.
    Example: false

## Response 400:

  - `400` (unknown)
    Bad Request

## Response 400 fields (application/json):

  - `status` (string, required)

  - `message` (array, required)
    An array of human-readable messages included in the response. These messages provide detailed information about the success of the operation or explain the reasons for any failure. This field is always present in the response to ensure clarity and transparency regarding the outcome of the API request.

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 fields (application/json):

  - `status` (string, required)

  - `message` (array, required)
    An array of human-readable messages included in the response. These messages provide detailed information about the success of the operation or explain the reasons for any failure. This field is always present in the response to ensure clarity and transparency regarding the outcome of the API request.

## Response 403 fields (application/xml):

  - `message` (array)

## Response 429:

  - `429` (unknown)
    Too Many Requests

## Response 429 fields (application/json):

  - `status` (string, required)

  - `message` (array, required)
    An array of human-readable messages included in the response. These messages provide detailed information about the success of the operation or explain the reasons for any failure. This field is always present in the response to ensure clarity and transparency regarding the outcome of the API request.

## Response 500:

  - `500` (unknown)
    Internal Server Error

## Response 500 fields (application/json):

  - `status` (string, required)

  - `message` (array, required)
    An array of human-readable messages included in the response. These messages provide detailed information about the success of the operation or explain the reasons for any failure. This field is always present in the response to ensure clarity and transparency regarding the outcome of the API request.

## Response 200 examples:

  - `Response` (unknown)

## Response 403 examples:

  - `Wrong credentials provided` (unknown)

## Response 429 examples:

  - `Rate limit exceeded` (unknown)

## Response 500 examples:

  - `Internal error` (unknown)

